<?php
include_once("../../../php/sessionStart.php"); 
include_once("../../../php/db/dbExec.php");
include_once("../../../php/fpdf/functions.php");

$empCod=utf8_decode($_SESSION["empCod"]);
$empNom=utf8_decode($_SESSION["empNom"]);

class generatePDF extends PDF_MC_Table {
    function Header() {
    }
    
    function Footer() {
        // Posición: a 1,5 cm del final
        $this->SetY(-2.5);
        $this->SetFont("Arial","I",8);
        $this->Cell(0,1,"PAGINA ".$this->PageNo(),0,0,"C");
    }
}

# QUERYS
$svendedor = "SELECT * FROM vendedor";

# EJECUCION DE QUERYS
$db = new dbExec();
$select["vendedor"] = $db->query($svendedor);
$db->close();

# GENERAR PDF
$pdf = new generatePDF("P","cm", array(22, 28));
$pdf->AddPage();
$pdf->SetMargins(2.5, 1, 2.5);
$pdf->SetFont("Arial","B",17);

$pdf->Cell(20,.7,$empNom,0,1,"C");

$lineWidth=17;
$lineHeight=0.5;

$pdf->SetFont("","",9);
$pdf->Ln($lineHeight);
$pdf->MultiAlignCell($lineWidth, $lineHeight, utf8_decode("Listado de Vendedores"));
    //.strftime("%d/%m/%Y", strtotime($dtFec))),0,0,"C");
$pdf->Ln($lineHeight*2);

$header = array(utf8_decode("Código"),"Nombre",utf8_decode("Teléfono"),"Celular",utf8_decode("Comisión"));
$pdf->SetFont("","B");
$pdf->SetWidths(array(1.5,8,3,3,2));
$pdf->SetAligns(array("C","C","C","C","C"));
$pdf->Row($header, $lineHeight);

$pdf->SetFont("");
$pdf->SetAligns(array("","","","","R"));

while ($rec = $db->fetchAssoc($select["vendedor"])) {
    $body = array(
        $rec["vend_cod"],
        trim($rec["vend_nom"]),
        trim($rec["vend_tel"]),
        trim($rec["vend_cel"]),
        trim($rec["vend_porc"])."%"
    );
    $pdf->RowBorderHidden($body, $lineHeight);
}
$pdf->Output(utf8_decode("Listado de Vendedores").".pdf","I");
?>